## cascading.tuple.hadoop.collect
Class HadoopTupleCollectionFactory

    java.lang.Object
      cascading.tuple.hadoop.collect.HadoopTupleCollectionFactory

All Implemented Interfaces:
  CascadingFactory<JobConf,Collection<Tuple>>, TupleCollectionFactory<JobConf>

    public class HadoopTupleCollectionFactory

extends Object
implements TupleCollectionFactory<JobConf>

Field Summary

Fields inherited from interface cascading.tuple.collect.TupleCollectionFactory
`TUPLE_COLLECTION_FACTORY`

Constructor Summary
`HadoopTupleCollectionFactory()`

Method Summary
`Collection<Tuple>` `create(FlowProcess<JobConf> flowProcess)`
`void` `initialize(FlowProcess<JobConf> flowProcess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleCollectionFactory

    public HadoopTupleCollectionFactory()

Method Detail

### initialize

    public void initialize(FlowProcess<JobConf> flowProcess)

  Specified by:
    `initialize` in interface `CascadingFactory<JobConf,Collection<Tuple>>`

### create

    public Collection<Tuple> create(FlowProcess<JobConf> flowProcess)

  Specified by:
    `create` in interface `CascadingFactory<JobConf,Collection<Tuple>>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.